Bug Hunting Session
Bug 45739 - FORMATTING: Table columns drawn in background of a floating frame
Summary: FORMATTING: Table columns drawn in background of a floating frame
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Styles-Frame
  Show dependency treegraph
 
Reported: 2012-02-07 05:53 UTC by Vladimir Savic
Modified: 2019-10-26 02:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Graphical representation of bug (99.90 KB, image/png)
2012-02-07 05:53 UTC, Vladimir Savic
Details
Requested example file (10.21 KB, application/vnd.oasis.opendocument.text)
2012-07-09 17:12 UTC, Vladimir Savic
Details
Previous document with my comment added (10.40 KB, application/vnd.oasis.opendocument.text)
2012-07-13 13:57 UTC, sasha.libreoffice
Details
Possible workaround: option "Repeat heading" enabled (11.18 KB, application/vnd.oasis.opendocument.text)
2012-07-13 14:11 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Savic 2012-02-07 05:53:29 UTC
Created attachment 56706 [details]
Graphical representation of bug

Description of a document:
This is classical psychology interview form. Multipage document with items/question table spanning over few pages. Floating frames were added to beginning of each page to remind interviewed person which number stands to what claim.

Problem:
There is an issue with floating frame set to Wrapping Off.
Spanning table columns extend behind floating frame, which is clearly of since I explicitly stated that I don't want anything to be behind that frame.

Side-effect:
Problem appears on exported PDF too, since leftmost and rightmost table lines appear, very thin though, around floating frame if it's width is from margin to margin strictly. My workaround was to to set Relative with to 101% instead of 100%.
Comment 1 sasha.libreoffice 2012-05-15 06:15:56 UTC
Thanks for bugreport
Please, attach small odt document that demonstrates problem
Comment 2 Vladimir Savic 2012-07-09 17:12:45 UTC
Created attachment 64033 [details]
Requested example file
Comment 3 Vladimir Savic 2012-07-09 17:15:05 UTC
(In reply to comment #1)
> Thanks for bugreport
> Please, attach small odt document that demonstrates problem

Attached! Sorry for the long delay. Found your request while browsing my TODO list. It's better late then never, I guess...
Comment 4 sasha.libreoffice 2012-07-13 13:57:35 UTC
Created attachment 64176 [details]
Previous document with my comment added
Comment 5 sasha.libreoffice 2012-07-13 14:05:38 UTC
Thanks for attachment. Reproduced in 3.3.4, 3.5.4, 3.6.beta1 on Fedora 64 bit
IMHO on Windows will be this same

Situation: on second page on top is frame, anchored to page.
Expected: frame will be placed before table. And table will begin bellow it. It is because frame has option "No wrap"
Actually: frame placed inside of table.
Comment 6 sasha.libreoffice 2012-07-13 14:11:37 UTC
Created attachment 64180 [details]
Possible workaround: option "Repeat heading" enabled
Comment 7 A (Andy) 2013-02-16 12:47:52 UTC
not reproducible with LO 4.0.0.3 (Win7 Home, 64bit)

Does this issue still persist for you?
Comment 8 sasha.libreoffice 2013-02-18 05:32:06 UTC
reproduced in Version 4.0.0.2 on RFR 17 64bit using attachment from comment 4
Comment 9 Jorendc 2013-02-20 13:02:19 UTC
(In reply to comment #8)
> reproduced in Version 4.0.0.2 on RFR 17 64bit using attachment from comment 4

Therefore mark it as NEW
Comment 10 QA Administrators 2015-02-19 15:38:29 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2015-03-07 14:03:27 UTC
(In reply to sasha.libreoffice from comment #4)
> Created attachment 64176 [details]
> Previous document with my comment added

Confirmed.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 12 tommy27 2016-04-16 07:22:53 UTC Comment hidden (obsolete)
Comment 13 Vladimir Savic 2016-04-19 10:06:17 UTC
I still see this issue in 5.1.2. Tested on Linux.
Comment 14 QA Administrators 2017-09-01 11:15:28 UTC Comment hidden (obsolete)
Comment 15 Thomas Lendo 2018-10-25 23:17:15 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: 0378bfcea51ff0f379d0954aa6740f1829909dc3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
Comment 16 QA Administrators 2019-10-26 02:11:24 UTC
Dear Vladimir Savic,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug